Bug 1411908 - [Hyper-V] Missing dynamic memory udev rule
Summary: [Hyper-V] Missing dynamic memory udev rule
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Host_Configuration_and_Guest_Installation_Gui
Version: 6.9
Hardware: All
OS: Windows
high
medium
Target Milestone: rc
: ---
Assignee: Jiri Herrmann
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 17:49 UTC by Chris
Modified: 2017-03-23 17:14 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 17:14:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
First docs update draft (82.67 KB, image/png)
2017-01-18 18:02 UTC, Jiri Herrmann
no flags Details

Description Chris 2017-01-10 17:49:45 UTC
Description of problem:
The DM hot add udev rule is missing from 6.9.
This goes back to 6.8 GA too.

Version-Release number of selected component (if applicable):
6.9 - kernel 2.6.32-680

How reproducible:
100%

Steps to Reproduce:
1.enable DM for Hyper-V VM with redhat 6.8 GA or 6.9 beta1
2.verify for the ballooning DM udev rule.

There have been some discussions that memory onlining without the need of a udev rule is going to be implemented, however this seems to not be the case for 6.9.
Without manually creating the rule, we receive call traces during Dynamic Memory hot-add operations.
Adding the rule will have these scenarios work properly.

If needed I can attach call traces, however I wanted to first bring this up for discussions, as it's existing since 6.8 and now in 6.9.

Thank you!

Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:

Comment 2 Jiri Herrmann 2017-01-18 18:02:24 UTC
Created attachment 1242237 [details]
First docs update draft

Hi Chris, thanks for pointing this out. I'm attaching an initial draft of the docs (for the Virtualization Tuning and Optimization Guide).

Please have a look and let me know if this seems sufficient to you.

Thanks!
Jirka

Comment 3 Chris 2017-02-14 10:34:19 UTC
Hi Jiri, the text looks good.
Thank you!

Comment 4 xuli 2017-02-22 10:45:25 UTC
Hi Jiri,

Two comments here about making memory online of this doc.

1) when execute command from attached picture, get the error "-bash": online: No such file or directory", when try 'echo online > state', it works. So how about change the command as below.

#for mblock in /sys/devices/system/memory/memory*; do echo online > $mblock/state; done

2) Do we need add more comment that the first "add udev rule" method which works for newly added memory, but not already existed offline memory?

Comment 5 Vitaly Kuznetsov 2017-02-22 11:02:27 UTC
(In reply to xuli from comment #4)
> 
> #for mblock in /sys/devices/system/memory/memory*; do echo online > $mblock/state; done
> 

True, it should be '$mblock/state', not '$mblock/online', thanks for noticing!

Comment 6 Jiri Herrmann 2017-03-09 16:29:40 UTC
Apologies for the delay, there were some complications with our publishing process.

At any rate, the updated version of the beta guide has been republished on the Customer Portal. The content will also become available in the non-beta version of the document with RHEL 6.9 GA:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Virtualization_Tuning_and_Optimization_Guide/sect-Virtualization_Tuning_Optimization_Guide-Memory-General_Tips.html

I will be closing this BZ, but if anything more should be done on its basis, feel free to reopen.

Comment 7 xuli 2017-03-10 02:34:06 UTC
Hi Jiri,

Reopen this bug, we need to minor update "echo 1" as "echo online" in following command.

Incorrect:
# for mblock in /sys/devices/system/memory/memory*; do echo 1 > $mblock/state; done

Correct
#for mblock in /sys/devices/system/memory/memory*; do echo online > $mblock/state; done

Thank you.

Comment 8 Jiri Herrmann 2017-03-13 13:13:46 UTC
Ah, my bad, thank you for pointing out the mistake there. I added the fix to the internal build of the Guide, which will go live next week with 6.9 GA:

http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Enterprise_Linux-6-Virtualization_Tuning_and_Optimization_Guide%20(html-single)/lastStableBuild/artifact/tmp/en-US/html-single/index.html#sect-Virtualization_Tuning_Optimization_Guide-Memory-General_Tips

I'll move this BZ to VERIFIED, but in case there are any other problems - or if you'd like this published in the beta build, too - feel free to un-verify :-)

Thank you,
Jirka

Comment 9 Jiri Herrmann 2017-03-23 17:14:19 UTC
This has gone live with the 6.9 GA release:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization_Tuning_and_Optimization_Guide/sect-Virtualization_Tuning_Optimization_Guide-Memory-General_Tips.html

I will therefore be closing the bug. However, feel free to reopen if you think that more should be done on its basis.


Note You need to log in before you can comment on or make changes to this bug.